org.apache.ode.dao.jpa

## Class MessageRouteDAOImpl

- java.lang.Object
- - org.apache.ode.dao.jpa.MessageRouteDAOImpl

- All Implemented Interfaces:
    MessageRouteDAO

      @Entity
      public class MessageRouteDAOImpl
      extends java.lang.Object
      implements MessageRouteDAO

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.lang.String` | `DELETE_MESSAGE_ROUTES_BY_INSTANCE`
    `static java.lang.String` | `DELETE_MESSAGE_ROUTES_BY_INSTANCE_IDS`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `MessageRouteDAOImpl()`
    `MessageRouteDAOImpl(CorrelationKeySet keySet, java.lang.String groupId, int index, ProcessInstanceDAOImpl processInst, CorrelatorDAOImpl correlator, java.lang.String routePolicy)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `CorrelationKey` | `getCorrelationKey()`
    `CorrelationKeySet` | `getCorrelationKeySet()` Returns a correlation key set for the message route
    `java.lang.String` | `getGroupId()`
    `java.lang.Long` | `getId()`
    `int` | `getIndex()`
    `java.lang.String` | `getRoute()`
    `ProcessInstanceDAO` | `getTargetInstance()` Get the BPEL process instance to which this consumer belongs.
    `void` | `setCorrelationKey(CorrelationKey key)`
    `void` | `setCorrelationKeySet(CorrelationKeySet keySet)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### DELETE_MESSAGE_ROUTES_BY_INSTANCE

          public static final java.lang.String DELETE_MESSAGE_ROUTES_BY_INSTANCE

      See Also:
        Constant Field Values

    - #### DELETE_MESSAGE_ROUTES_BY_INSTANCE_IDS

          public static final java.lang.String DELETE_MESSAGE_ROUTES_BY_INSTANCE_IDS

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### MessageRouteDAOImpl

          public MessageRouteDAOImpl()

    - #### MessageRouteDAOImpl

          public MessageRouteDAOImpl(CorrelationKeySet keySet,
                                     java.lang.String groupId,
                                     int index,
                                     ProcessInstanceDAOImpl processInst,
                                     CorrelatorDAOImpl correlator,
                                     java.lang.String routePolicy)

  - ### Method Detail

    - #### getId

          public java.lang.Long getId()

    - #### getCorrelationKey

          public CorrelationKey getCorrelationKey()

      Specified by:
        `getCorrelationKey` in interface `MessageRouteDAO`

    - #### setCorrelationKey

          public void setCorrelationKey(CorrelationKey key)

      Specified by:
        `setCorrelationKey` in interface `MessageRouteDAO`

    - #### getGroupId

          public java.lang.String getGroupId()

      Specified by:
        `getGroupId` in interface `MessageRouteDAO`

    - #### getIndex

          public int getIndex()

      Specified by:
        `getIndex` in interface `MessageRouteDAO`

    - #### getTargetInstance

          public ProcessInstanceDAO getTargetInstance()

      Description copied from interface: `MessageRouteDAO`
      Get the BPEL process instance to which this consumer belongs.
      Specified by:
        `getTargetInstance` in interface `MessageRouteDAO`
      Returns:
        the process instance to which this consumer belongs

    - #### getRoute

          public java.lang.String getRoute()

      Specified by:
        `getRoute` in interface `MessageRouteDAO`

    - #### getCorrelationKeySet

          public CorrelationKeySet getCorrelationKeySet()

      Description copied from interface: `MessageRouteDAO`
      Returns a correlation key set for the message route
      Specified by:
        `getCorrelationKeySet` in interface `MessageRouteDAO`
      Returns:

    - #### setCorrelationKeySet

          public void setCorrelationKeySet(CorrelationKeySet keySet)

      Specified by:
        `setCorrelationKeySet` in interface `MessageRouteDAO`